<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <title>BeagleBone Black Demo</title>
 
    <!-- jQuery and jQuery Mobile -->
    <link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.1/jquery.mobile-1.3.1.min.css" />
    <link rel="stylesheet" type="text/css" href="menu-pannel.css"/>
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="http://code.jquery.com/mobile/1.3.1/jquery.mobile-1.3.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="light-device-view.js"></script>
    <script src="farbtasticpicker/farbtastic.js"></script>
    <link rel="stylesheet" type="text/css" href="farbtasticpicker/farbtastic.css">

</head>
<body>
<!-- Home -->
<div data-role="page" id="page1" align="center">
  <div data-role="header" class="ui-header ui-bar-a" role="banner" style="max-width:600px;" align="center">
		<h1 class="ui-title" role="heading" aria-level="1">ZigBee IoT Meh Demo</h1>
		<a href="#popupPanel" data-rel="popup" data-transition="slide" data-position-to="window" data-icon="bars" class="ui-btn-right ui-btn ui-shadow ui-btn-icon-right ui-btn-up-a" data-theme="a">
			<span class="ui-btn-inner">
				<span class="ui-btn-text">
					Menu
				</span>
			<span class="ui-icon ui-icon-bars">&nbsp;
		</span></span></a>
	</div>   
  <div data-role="content" align="center">       
    <div id="DeviceInfo" data-role="fieldcontain" data-theme="c" style="max-width:500px;">
      	<label for="deviceId" class="ui-input-text">Device ID:</label>
      	<input type="text" name="deviceId" id="deviceId" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset ui-disabled mobile-textinput-disabled ui-state-disabled" aria-disabled="true">      
    	  <label for="deviceName" class="ui-input-text">Device Name:</label>
    	  <input type="text" name="deviceName" id="deviceName" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset">
      	<label for="deviceType" class="ui-input-text">Device Type:</label>
      	<input type="text" name="deviceType" id="deviceType" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset ui-disabled mobile-textinput-disabled ui-state-disabled" aria-disabled="true">          
    </div>

    <!--COLOR PICKER-->
    <div id="colorPicker" data-role="fieldcontain" data-theme="c">

      <div class="form-item"></div><div id="picker" style="display:inline"></div>

      <div data-role="fieldcontain" style="max-width:500px;">
      	<label for="color" class="ui-input-text">Color:</label>
      	<input type="text" name="color" id="infoSwatch" value="0" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">  
      	<label for="hue" class="ui-input-text">Hue:</label>
      	<input type="text" name="hue" id="pickerHue" value="0" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">      
    	  <label for="sat" class="ui-input-text">Sat:</label>
    	  <input type="text" name="sat" id="pickerSat" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">
      	<label for="level" class="ui-input-text">Level:</label>
      	<input type="text" name="name" id="pickerLev" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset " aria-disabled="true">
      </div>          
    </div>
    
    <div id="DeviceInfo" data-role="fieldcontain" data-theme="c">
      <select name="stateSwitch" id="stateSwitch" data-role="slider">
	      <option value="off">Off</option>
	      <option value="on">On</option>
      </select>
    </div>        
    
    <div data-role="popup" id="popupPanel" data-corners="false" data-theme="a" data-shadow="false">
      <a id="backButton" href="http://beaglebone.local:5000/" target=\"_top\" data-role="button" data-corners="false" data-theme="a">back</a>
      <a id="quickstartLink" href="https://quickstart.internetofthings.ibmcloud.com/" target=\"_blank\" data-role="button" data-corners="false" data-theme="a" data-mini="false" id="quickstartLink">quickstartLink</a>
      <button data-corners="false" data-theme="a" data-mini="false" id="removeDeviceButton">Remove Device</button>
      <a href="#ProvisioningDialog" data-rel="popup" id="ProvisionDeviceButton" data-role="button" data-transition="pop" data-position-to="window" data-corners="false" data-mini="false">Provision Device</a>      	 
    </div>
    
		<div data-role="popup" id="ProvisioningDialog" data-overlay-theme="c" data-theme="c" style="max-width:400px;" class="ui-corner-all ui-popup ui-body-c ui-overlay-shadow" aria-disabled="false" data-disabled="false" data-shadow="true" data-corners="true" data-transition="none" data-position-to="origin">
			<div data-role="header" data-theme="c" class="ui-corner-top ui-header ui-bar-a" role="banner">
        <div role="main" class="ui-content"  style="width:300px;">
          <h3 class="ui-title">Provisioning Info</h3>
          <div data-role="fieldcontain"">
        	  <label for="org" class="ui-input-text">Organisation:</label>
        	  <input type="text" name="org" id="prov-org" value="quickstart" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">  
        	  <label for="type" class="ui-input-text">Type:</label>
        	  <input type="text" name="type" id="prov-type" value="zb" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true">      
      	    <label for="auth" class="ui-input-text" style="width:150px;">Auth Token:</label>
    	      <input type="text" name="auth" id="prov-auth" value="" class="ui-input-text ui-body-c ui-corner-all ui-shadow-inset" aria-disabled="true"> 
		  		<a href="#" id="updateProvButton" data-role="button" data-inline="true" data-rel="back" data-theme="c" data-corners="true" data-shadow="true" data-iconshadow="true" data-wrapperels="span" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-inline ui-btn-up-c"><span class="ui-btn-inner ui-btn-corner-all"><span class="ui-btn-text">Update</span></span></a>    
	  			<a href="#" data-role="button" data-inline="true" data-rel="back" data-theme="c" data-corners="true" data-shadow="true" data-iconshadow="true" data-wrapperels="span" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-inline ui-btn-up-c"><span class="ui-btn-inner ui-btn-corner-all"><span class="ui-btn-text">Cancel</span></span></a>    
	  		</div>
	  	</div>
    </div>
  </div>        
</div>

<script>       
	
	$( "#popupPanel" ).on({
    popupbeforeposition: function() {
      var h = $( window ).height();
      $( "#popupPanel" ).css( "height", h );
        
      var w = $( window ).width();
      //if > max witdth
      if(w > 520) {
      	//set to max width / 2
        $( "#popupPanel" ).css('left', 203);
      }
      else {
      	$( "#popupPanel" ).css('left', w/4);
      	$( "#popupPanel" ).css('width', w-w/4);
      }
    }
  });

  deviceViewClient = new DeviceViewClient();
  
  $("#ProvisionDeviceButton").click(function() {
    //populate fields with devices provisioning info    
    $("#prov-org").val(self.device.info.prov.org);
    $("#prov-type").val(self.device.info.prov.type),
    $("#prov-auth").val(self.device.info.prov.auth_token)    	
  });
          
  $("#updateProvButton").click(function() {
    
    var prov = {
      org: $("#prov-org").val(),
      type: $("#prov-type").val(),
      auth_token: $("#prov-auth").val(),
    }
    
    self.device.info.prov = prov;

    self.socket.emit('setDevInfo', self.device.info);       	
  });
  
  $("#removeDeviceButton").click(function() {
    self.socket.emit('removeDevice', self.device.info.ieee);       	
    $( "#popupPanel" ).popup( "close" );
		window.location.href = 'http://' + location.host + '/'   
  });

  $("#quickstartLink").click(function() {  	
    $( "#popupPanel" ).popup( "close" );
  });
  
  
    
</script>      
      
</body>
</html>
